Saltar al contenido principal
GET
/
api
/
v1
/
llm
/
speech
/
tts
/
history
Python (SDK)
from meetkai_mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.llm.speech.list_tts_history(after="tts_aa87e2b1112a455b8deabed784372198", limit=20, order="desc")

    # Handle response
    print(res)
{
  "object": "list",
  "data": [
    {
      "id": "tts_aa87e2b1112a455b8deabed784372198",
      "object": "speech.tts",
      "text": "Hello, welcome to our text-to-speech service.",
      "language": "auto",
      "detected_language": "en",
      "model": "azure:tts",
      "provider_id": "azure",
      "format": "wav",
      "audio_bytes": 48000,
      "characters": 45,
      "streaming": false,
      "metadata": {},
      "created_at": 1704067200
    }
  ],
  "first_id": "tts_aa87e2b1112a455b8deabed784372198",
  "last_id": "tts_aa87e2b1112a455b8deabed784372198",
  "has_more": false
}

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de consulta

after
string

ID de elemento de historial para listar elementos después (cursor de paginación).

limit
integer
predeterminado:20

Número máximo de elementos a devolver (1-100, predeterminado 20).

Rango requerido: 1 <= x <= 100
order
enum<string>
predeterminado:desc

Ordenar por fecha de creación. Por defecto 'desc' (el más reciente primero).

Opciones disponibles:
asc,
desc
model
string

Filtrar resultados por un id de modelo específico.

Respuesta

200 - application/json

Está bien

Una lista paginada de elementos del historial de texto a voz.

object
any
requerido
data
object[]
requerido
has_more
boolean
requerido
first_id
string
last_id
string